WHENEVER SQLERROR EXIT;

CREATE TABLESPACE OSSTATE
    LOGGING 
    DATAFILE 'OUTSYSTEMS_STATEDATA01.dbf'
    SIZE 50M AUTOEXTEND ON NEXT  10M MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT  AUTO;

CREATE USER OSSTATE PROFILE "DEFAULT" 
    IDENTIFIED BY &osstatepassword DEFAULT TABLESPACE OSSTATE
    ACCOUNT UNLOCK;

-- these grants are necessary to user OSSTATE create his own tables and stored procedures
GRANT CREATE VIEW TO OSSTATE;
GRANT CREATE TABLE TO OSSTATE;
GRANT ALTER SESSION TO OSSTATE;
GRANT CREATE SEQUENCE TO OSSTATE;
GRANT CREATE PROCEDURE TO OSSTATE;
GRANT CREATE TRIGGER TO OSSTATE;

GRANT CREATE SESSION TO OSSTATE;

ALTER USER OSSTATE QUOTA UNLIMITED ON OSSTATE;

GRANT EXECUTE on DBMS_LOB to OSSTATE;
