#!/bin/bash

source /opt/outsystems/platform/common.sh

# set classpath
CLASSPATH="$COMMON_CLASSPATH:$OUTSYSTEMS_HOME/scheduler.jar:$OUTSYSTEMS_HOME/outsystems.activation.jar:$OUTSYSTEMS_HOME/compilerservicestubs.jar:$OUTSYSTEMS_HOME/schedulerstubs.jar"

if [ -z "$JBOSS_HOME" ]; then
	JAVA_OPTS="-Xbootclasspath/p:$JBOSSENDORSEDDIR/jbossws-native-saaj.jar -Xmx384m"
else
	JAVA_OPTS="-Djava.endorsed.dirs=$JBOSS_HOME/lib/endorsed -Xbootclasspath/p:$JBOSSENDORSEDDIR/lib/endorsed/jbossws-native-saaj.jar -Xmx384m"
fi

CUSTOM_SH="/etc/outsystems/os.scheduler.service.conf"
runService "SCHEDULER"
